Index: src/libcfa/prelude.cf
===================================================================
--- src/libcfa/prelude.cf	(revision b6fe7e6c491f467e31d7ef488c6c0c23df6534a8)
+++ src/libcfa/prelude.cf	(revision d7bcbf5a448434f2bcfc247bc16c0f111feaca9a)
@@ -22,8 +22,5 @@
 // ------------------------------------------------------------
 
-const int 0, 1;
-
-forall ( dtype DT ) const DT * const	0;
-forall ( ftype FT ) FT * const		0;
+//We have none
 
 // ------------------------------------------------------------
@@ -249,17 +246,19 @@
 // ------------------------------------------------------------
 
-signed int ?==?( _Bool, _Bool ),					?!=?( _Bool, _Bool );
-signed int ?==?( signed int, signed int ),				?!=?( signed int, signed int );
-signed int ?==?( unsigned int, unsigned int ),				?!=?( unsigned int, unsigned int );
-signed int ?==?( signed long int, signed long int ),			?!=?( signed long int, signed long int );
-signed int ?==?( unsigned long int, unsigned long int ),		?!=?( unsigned long int, unsigned long int );
+signed int ?==?( _Bool, _Bool ),							?!=?( _Bool, _Bool );
+signed int ?==?( signed int, signed int ),					?!=?( signed int, signed int );
+signed int ?==?( unsigned int, unsigned int ),					?!=?( unsigned int, unsigned int );
+signed int ?==?( signed long int, signed long int ),				?!=?( signed long int, signed long int );
+signed int ?==?( unsigned long int, unsigned long int ),			?!=?( unsigned long int, unsigned long int );
 signed int ?==?( signed long long int, long long int  signed),		?!=?( signed long long int, signed long long int );
 signed int ?==?( unsigned long long int, unsigned long long int ),	?!=?( unsigned long long int, unsigned long long int );
-signed int ?==?( float, float ),					?!=?( float, float );
-signed int ?==?( double, double ),					?!=?( double, double );
-signed int ?==?( long double, long double ),				?!=?( long double, long double );
-signed int ?==?( float _Complex, float _Complex ),			?!=?( float _Complex, float _Complex );
-signed int ?==?( double _Complex, double _Complex ),			?!=?( double _Complex, double _Complex );
+signed int ?==?( float, float ),							?!=?( float, float );
+signed int ?==?( double, double ),							?!=?( double, double );
+signed int ?==?( long double, long double ),					?!=?( long double, long double );
+signed int ?==?( float _Complex, float _Complex ),				?!=?( float _Complex, float _Complex );
+signed int ?==?( double _Complex, double _Complex ),				?!=?( double _Complex, double _Complex );
 signed int ?==?( long double _Complex, long double _Complex ),		?!=?( long double _Complex, long double _Complex );
+signed int ?==?( zero_t, zero_t ),							?!=?( zero_t, zero_t );
+signed int ?==?( one_t, one_t ),							?!=?( one_t, one_t );
 
 forall( dtype DT ) signed int ?==?(		   DT *,		DT * );
@@ -279,12 +278,12 @@
 forall( dtype DT ) signed int ?!=?( const volatile void *, const volatile DT * );
 
-forall( dtype DT ) signed int ?==?( const volatile DT *, forall( dtype DT2 )const DT2 * );
-forall( dtype DT ) signed int ?==?( forall( dtype DT2 )const DT2 *, const volatile DT * );
-forall( ftype FT ) signed int ?==?( FT *, forall( ftype FT2 )FT2 * );
-forall( ftype FT ) signed int ?==?( forall( ftype FT2 )FT2 *, FT * );
-forall( dtype DT ) signed int ?!=?( const volatile DT *, forall( dtype DT2 )const DT2 * );
-forall( dtype DT ) signed int ?!=?( forall( dtype DT2 )const DT2 *, const volatile DT * );
-forall( ftype FT ) signed int ?!=?( FT *, forall( ftype FT2 )FT2 * );
-forall( ftype FT ) signed int ?!=?( forall( ftype FT2 )FT2 *, FT * );
+// forall( dtype DT ) signed int ?==?( const volatile DT *, forall( dtype DT2 )const DT2 * );
+// forall( dtype DT ) signed int ?==?( forall( dtype DT2 )const DT2 *, const volatile DT * );
+// forall( ftype FT ) signed int ?==?( FT *, forall( ftype FT2 )FT2 * );
+// forall( ftype FT ) signed int ?==?( forall( ftype FT2 )FT2 *, FT * );
+// forall( dtype DT ) signed int ?!=?( const volatile DT *, forall( dtype DT2 )const DT2 * );
+// forall( dtype DT ) signed int ?!=?( forall( dtype DT2 )const DT2 *, const volatile DT * );
+// forall( ftype FT ) signed int ?!=?( FT *, forall( ftype FT2 )FT2 * );
+// forall( ftype FT ) signed int ?!=?( forall( ftype FT2 )FT2 *, FT * );
 
 // ------------------------------------------------------------
@@ -458,4 +457,7 @@
 signed long long int	?=?( signed long long int *, signed long long int ),	?=?( volatile signed long long int *, signed long long int );
 unsigned long long int	?=?( unsigned long long int *, unsigned long long int ), ?=?( volatile unsigned long long int *, unsigned long long int );
+zero_t		?=?( zero_t *, zero_t );
+one_t			?=?( one_t *, one_t );
+
 
 _Bool			?*=?( _Bool *, _Bool ),					?*=?( volatile _Bool *, _Bool );
@@ -654,4 +656,6 @@
 void	?{}( double _Complex * );
 void	?{}( long double _Complex * );
+void	?{}( zero_t * );
+void	?{}( one_t * );
 
 // copy ctor
@@ -674,4 +678,6 @@
 void	?{}( double _Complex *, double _Complex);
 void	?{}( long double _Complex *, long double _Complex);
+void	?{}( zero_t *, zero_t );
+void	?{}( one_t *, one_t );
 
 // dtor
@@ -694,4 +700,6 @@
 void	^?{}( double _Complex * );
 void	^?{}( long double _Complex * );
+void	^?{}( zero_t * );
+void	^?{}( one_t * );
 
 // // default ctor
